/*
 * Copyright (c) 2013, 2020 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */

package com.sun.ts.tests.jpa.core.types.generator;

import jakarta.persistence.*;

@Entity
@SequenceGenerator(name = "SEQGENERATOR", allocationSize = 1, initialValue = 10)
@Table(name = "DATATYPES")
public class DataTypes3 implements java.io.Serializable {

  private int id;

  private Integer integerData;

  public DataTypes3() {
  }

  public DataTypes3(Integer integerData) {
    this.integerData = integerData;

  }

  @Id
  @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "SEQGENERATOR")
  @Column(name = "ID")
  public int getId() {
    return id;
  }

  public void setId(int id) {
    this.id = id;
  }

  @Column(name = "INTDATA")
  public Integer getIntegerData() {
    return integerData;
  }

  public void setIntegerData(Integer integerData) {
    this.integerData = integerData;
  }

}
